Details

    • Sub-task
    • Status: Closed
    • Minor
    • Resolution: Fixed
    • 2.1
    • 2.1
    • Questions
    • None
    • MOODLE_21_STABLE
    • MOODLE_21_STABLE
    • MDL-27789-qe2plugins
    • Hide
      • Visit the plugins check/overview screen
      • TEST: Make sure there is a section entitled "Question behaviours" with all behaviours marked as "Standard" (not Extension)
      • TEST: Make sure there is "Question engine upgrade helper" listed as standard local plugin (not Extension)
      Show
      Visit the plugins check/overview screen TEST: Make sure there is a section entitled "Question behaviours" with all behaviours marked as "Standard" (not Extension) TEST: Make sure there is "Question engine upgrade helper" listed as standard local plugin (not Extension)

    Description

      The QE2 patch introduced new plugin type qbehaviour and Moodle 2.1 ships with several standard behaviours implemented. Also, the Question engine upgrade helper becomes a standard local plugin temporarily (will be removed in 2.2 according the plan). These changes must be reflected in the lib/pluginlib.php so that the new plugins are reported as Standard.

      Attachments

        Activity

          People

            mudrd8mz David Mudrák (@mudrd8mz)
            mudrd8mz David Mudrák (@mudrd8mz)
            Eloy Lafuente (stronk7) Eloy Lafuente (stronk7)
            Eloy Lafuente (stronk7) Eloy Lafuente (stronk7)
            Safat Shahin, Tim Hunt, Amaia Anabitarte, Bas Brands, Carlos Escobedo, Ferran Recio, Ilya Tregubov, Kevin Percy, Laurent David, Mathew May, Mihail Geshoski, Raquel Ortega, Sabina Abellan, Sander Bangma, Sara Arjona (@sarjona), Shamim Rezaie
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:
              1/Jul/11